Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 27/10/2012, à 17:05

ebulliton

scrabble eliot

Bonjour,
Est-il possible d'installer le jeu de scrabble Eliot  (en 64 bits) sur Ubuntu 32bits (je dispose quand même d'un processeur 32-64bits) ? Comment ? : j'ai téléchargé le jeu, puis essayé d'installer le paquet via le terminal en faisant précéder la commande de "linux32bits", mais cela ne marche pas.
Merci.
Ebulliton

Hors ligne

#2 Le 27/10/2012, à 18:11

f.x0

Re : scrabble eliot

Bonjour ebulliton,

Tu peux essayer ceci

sudo dpkg -i --force-architecture eliot_2.0-1_amd64.deb

SOPI

Hors ligne

#3 Le 27/10/2012, à 18:28

ebulliton

Re : scrabble eliot

Merci pour la réponse rapide de SOPI. Après cette instruction suivie, de celle de l'installation, j'obtiens ce message :

dpkg : erreur de traitement de eliot_2.0-1_amd64.deb (--install) :
l'architecture du paquet (amd64) ne correspond pas à celle du système (i386)
Des erreurs ont été rencontrées pendant l'exécution :
eliot_2.0-1_amd64.deb
denis@denis-System-Product-Name:~/Téléchargements$

Hors ligne

#4 Le 27/10/2012, à 18:51

f.x0

Re : scrabble eliot

Ben je crois que tuas la réponse à ta question.

Il ne te reste plus qu'à essayer de le compiler à partir des sources
Eliot 2.0
Dernière version officielle : eliot-2.0.tar.gz
Les instructions de compilation se trouvent dans le fichier INSTALL, fourni avec le code source. En cas de problème pour compiler le programme, envoyer un e-mail sur la liste de diffusion eliot-dev


SOPI

Hors ligne

#5 Le 27/10/2012, à 19:42

ebulliton

Re : scrabble eliot

Merci. "fichier install", "code source", "compilation" ... des concepts qui me sont un peu étrangers. Je  me lancerai dans ces manipulations quand je serai me sentirai un peu moins nul.
Ebulliton

Hors ligne

#6 Le 28/10/2012, à 14:03

IpkissEliot

Re : scrabble eliot

Bonjour ebulliton,

Je suis le développeur d'Eliot, et je peux te donner des instructions détaillées pour l'installer si tu veux.

Malheureusement, je n'ai plus accès à un Ubuntu 32 bits, sinon j'aurais aussi proposé un .deb 32 bits sur le site web. Il y en aura peut-être un dans le futur, si quelqu'un se porte volontaire pour le faire (là aussi, je peux donner les instructions nécessaires)...

Hors ligne

#7 Le 28/10/2012, à 15:06

ebulliton

Re : scrabble eliot

Merci beaucoup. Je suis preneur, mais néophyte dans ce genre de manipulations. J'essaie aussi d'évaluer les avantages (et les conséquences) d'un passage à Ubuntu 64 bits. Par ailleurs, j'étais déjà utilisateur d'Eliot jusqu'à ce que je reformate mon disque dur, il y a 10 jours. Il y a environ 1 an, je l'avais installé sans problème sur Ubuntu 32 bits.

Hors ligne

#8 Le 06/11/2012, à 18:03

IpkissEliot

Re : scrabble eliot

Voici les étapes à suivre pour la compilation. Si j'ai oublié quelque chose et que ça ne marche pas, dites-le moi et je complèterai les informations.

  • Installer quelques paquets utiles :

    sudo apt-get install build-essential libboost-dev libqt4-dev libconfig++8-dev
  • Télécharger la dernière version d'Eliot (2.0)

  • Extraire le contenu de l'archive :

    tar xvzf eliot-2.0.tar.gz
  • Aller dans le répertoire extrait :

    cd eliot-2.0
  • Compiler :

    ./configure --disable-text --disable-ncurses && make
  • Si tout s'est bien passé :

    sudo make install

Eliot sera installé dans /usr/local. Pour le lancer, taper /usr/local/bin/eliot depuis le terminal (ou tout simplement eliot, si /usr/local/bin est dans le PATH).
Après l'installation, le répertoire de compilation peut éventuellement être supprimé.

Dernière modification par IpkissEliot (Le 06/11/2012, à 18:06)

Hors ligne

#9 Le 07/11/2012, à 00:11

ebulliton

Re : scrabble eliot

Bonjour et merci.
Je dois d'abord reformater mon disque dur, car suite à une mise à niveau vers Ubuntu 12.10 Synaptic ne fonctionne plus et j'ai constamment des problèmes avec les paquets emacs (?). J'ai ouvert une discussion sur le forum à ce sujet, mais le problème ne semble pas pouvoir être résolu. Je vais donc repasser à Ubuntu 12.04 avant d'appliquer la procédure que vous proposez. Cela peut prendre quelques jours mais je vous tiens de toute façon au courant.
Merci encore.

Hors ligne

#10 Le 07/11/2012, à 16:57

ebulliton

Re : scrabble eliot

Voilà, je suis finalement repassé sans attendre à Précise Pangolin. J'ai suivi pas à pas vos instructions. Tout s'est bien passé jusqu'à cette réponse "arrêt" du système à "sudo make install :

ladous@ladous-System-Product-Name:~$ cd /home/ladous/Téléchargements/eliot-2.0
ladous@ladous-System-Product-Name:~/Téléchargements/eliot-2.0$ sudo make install[sudo] password for ladous:

make: *** Pas de règle pour fabriquer la cible « install ». Arrêt.

On ne doit pas être très loin de la solution.
Ps : qu'appelle-t-on "répertoire de compilation " et où se trouve-t-il ?

Hors ligne

#11 Le 15/11/2012, à 16:52

ebulliton

Re : scrabble eliot

Bonjour IpkissEliot,
Dans mes derniers messages, je m'aperçois que j'ai omis de vous communiquer la séquence complète du terminal suite à la demande de compilation : elle fait état de l'absence d'un paquet (?) dénommé "Arabica" sur mon système :

configure --disable-text --disable-ncurses && make
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for style of include used by make... GNU
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking whether make sets $(MAKE)... (cached) yes
checking for ranlib... ranlib
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for execinfo.h... yes
checking for stdlib.h... (cached) yes
checking for unistd.h... (cached) yes
checking for sys/param.h... yes
checking whether the compiler supports GCC C++ ABI name demangling... yes
checking if $CC accepts -Wall... yes
checking if $CC accepts -Wextra... yes
checking for ANSI C header files... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for unistd.h... (cached) yes
checking sys/stats.h usability... no
checking sys/stats.h presence... no
checking for sys/stats.h... no
checking for sys/types.h... (cached) yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking readline/readline.h usability... no
checking readline/readline.h presence... no
checking for readline/readline.h... no
checking for an ANSI C-conforming const... yes
checking for size_t... yes
checking whether byte ordering is bigendian... no
checking for inline... inline
checking for working memcmp... yes
checking for wcwidth... yes
checking for boostlib >= 1.36.0... yes
checking for LIBCONFIG... yes
checking for LOG4CXX... no
checking for Expat XML Parser headers in /usr/include... found
checking for Expat XML Parser libraries... found
checking for Expat XML Parser... yes
checking if Expat XML Parser version is >= 2.0.1... yes
checking for ARABICA... no
configure: error: Could not find Arabica on your system (using pkg-config)
ladous@ladous-System-Product-Name:~/Téléchargements/eliot-2.0$ sudo make installmake: *** Pas de règle pour fabriquer la cible « install ». Arrêt.
ladous@ladous-System-Product-Name:~/Téléchargements/eliot-2.0$
Cet élément facilitera peut-être la recherche d'une solution.
Merci.

Hors ligne

#12 Le 17/11/2012, à 13:13

ebulliton

Re : scrabble eliot

Bonjour,
J'explore une autre piste pour installer Eliot : cela marchait sur mon ordinateur (avec ubuntu 12.04) avant, suite à des problèmes, de devoir re-formater mon disque dur. J'en déduis que je devais utiliser la version Eliot 1.12, apparemment compatible avec le système 32bits, que j'avais installée sans problème. Hors il m'a été impossible de retrouver cette version sur internet. Je retombe toujours sur les versions 2.0 ou 2.1, malgré une entrée proposée pour la version 1.12. Ma question devient alors : où puis-je télécharger Eliot 1.12 pour Ubuntu, qui me convenait très bien ?
Merci.
ebulliton

Hors ligne

#13 Le 17/11/2012, à 13:52

IpkissEliot

Re : scrabble eliot

Bonjour,

Désolé pour la réponse tardive, je n'ai pas reçu de notification avant aujourd'hui. N'hésitez pas à m'envoyer un message privé si vous voyez que je tarde à répondre...

ebulliton a écrit :

checking for ARABICA... no
configure: error: Could not find Arabica on your system (using pkg-config)

Oops, j'avais oublié qu'il faut installer libarabica en premier. Voici les étapes supplémentaires, à effectuer avant l'étape "configure" précédente :

  • Récupérer le code source ici (prendre la version tar.bz2) : http://www.jezuk.co.uk/cgi-bin/view/arabica/code

  • Extraire le contenu de l'archive :

    tar xvjf arabica-2010-November.tar.bz2
  • Aller dans le répertoire :

    cd arabica-2010-November
  • Compiler :

    ./configure && make
  • Installer :

    sudo make install
ebulliton a écrit :

où puis-je télécharger Eliot 1.12 pour Ubuntu, qui me convenait très bien ?

À défaut d'utiliser la version 2.0, la version 1.14 est disponible ici : http://download-mirror.savannah.gnu.org … ases/1.14/. Dans votre cas, vous devez prendre le fichier eliot_1.14-1_i386.deb.

Hors ligne

#14 Le 17/11/2012, à 15:20

ebulliton

Re : scrabble eliot

Merci.
Alors que tout semble s'être bien passé pour la compilation et l'installation de Arabica, puis de Eliot 2.0 et selon vos indications, je ne parviens pas à le lancer ... si près du but !
ci-dessous les dernières lignes du terminal.

make[1]: quittant le répertoire « /home/ladous/Téléchargements/eliot-2.0/po »
Making install in extras
make[1]: entrant dans le répertoire « /home/ladous/Téléchargements/eliot-2.0/extras »
make[2]: entrant dans le répertoire « /home/ladous/Téléchargements/eliot-2.0/extras »
make[2]: Rien à faire pour « install-exec-am ».
test -z "/usr/local/share/icons" || /bin/mkdir -p "/usr/local/share/icons"
/usr/bin/install -c -m 644 eliot.xpm '/usr/local/share/icons'
test -z "/usr/local/share/applications" || /bin/mkdir -p "/usr/local/share/applications"
/usr/bin/install -c -m 644 eliot.desktop '/usr/local/share/applications'
make[2]: quittant le répertoire « /home/ladous/Téléchargements/eliot-2.0/extras »
make[1]: quittant le répertoire « /home/ladous/Téléchargements/eliot-2.0/extras »
make[1]: entrant dans le répertoire « /home/ladous/Téléchargements/eliot-2.0 »
make[2]: entrant dans le répertoire « /home/ladous/Téléchargements/eliot-2.0 »
make[2]: Rien à faire pour « install-exec-am ».
make[2]: Rien à faire pour « install-data-am ».
make[2]: quittant le répertoire « /home/ladous/Téléchargements/eliot-2.0 »
make[1]: quittant le répertoire « /home/ladous/Téléchargements/eliot-2.0 »
ladous@ladous-System-Product-Name:~/Téléchargements/eliot-2.0$ /usr/local/bin/eliot
/usr/local/bin/eliot: error while loading shared libraries: libarabica.so.0: cannot open shared object file: No such file or directory
ladous@ladous-System-Product-Name:~/Téléchargements/eliot-2.0$ eliot
eliot: error while loading shared libraries: libarabica.so.0: cannot open shared object file: No such file or directory
ladous@ladous-System-Product-Name:~/Téléchargements/eliot-2.0$

Hors ligne

#15 Le 17/11/2012, à 19:57

IpkissEliot

Re : scrabble eliot

Eliot s'est correctement installé. Avant de le lancer, tapez la commande suivante :

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/lib

Il faudra le faire dans chaque nouveau shell utilisé pour lancé Eliot, à moins d'ajouter la commande dans un fichier d'initialisation du shell (par exemple dans ~/.profile).

Hors ligne

#16 Le 17/11/2012, à 20:24

ebulliton

Re : scrabble eliot

Cela fonctionne. Il ne me restera plus qu'à rendre un peu confortable la procédure de lancement.
En souhaitant que notre conversation soit utile à d'autres.
Un grand merci.
Ebulliton

Hors ligne

#17 Le 08/03/2013, à 12:47

guyhan

Re : scrabble eliot

Bonjour,
Je suis un nouvel utilisateur d'Ubuntu et aimerait installer un Scrabble.
J'ai été sur la page d'Eliot et j'ai suivi les instructions de téléchargement :
sudo add-apt-repository ppa:ipkiss-0/ppa-eliot
sudo apt-get update
sudo apt-get install eliot
Après, je ne sais pas ce qu'il faut faire, les 3 sudo ont bien été installés.
J'ai fermé la fenêtre du terminal, mais après, que faut-il faire ?
Autre essai, j'ai téléchargé eliot-2.0.tar.gz, je l'ai décompressé, mais je ne sais pas ce qu'il faut faire ensuite...
Merci pour votre aide.
Cdlt,

Hors ligne

#18 Le 08/03/2013, à 21:43

IpkissEliot

Re : scrabble eliot

Bonjour,

Si les 3 commandes se sont bien passées, il n'y a rien d'autre à faire pour l'installation. Vous pouvez lancer Eliot comme n'importe quelle autre application, la manière exacte dépend de votre desktop (Gnome Classic, Unity, Gnome Shell, KDE, ...). Par exemple, sous Gnome Classic, Eliot se trouve dans le menu Jeux. Sous Unity, vous pouvez probablement taper "eliot" dans le Dash pour faire apparaître le raccourci de l'application.
Sinon, il est toujours possible de le lancer depuis un terminal avec la commande :

eliot

.

Hors ligne

#19 Le 08/03/2013, à 22:43

guyhan

Re : scrabble eliot

Merci, c'tait en effet tout simple !
et donc ça marche...
smile

Hors ligne

#20 Le 11/03/2013, à 10:47

ebulliton

Re : scrabble eliot

Bonjour,
Eliot 2.0 fonctionnait jusqu'à ce jour avec UBUNTU 12.04. Il ne fonctionne plus une fois effectuée la mise à niveau UBUNTU 12.10, même après avoir répété la procédure d'installation utilisée avec UBUNTU 12.04.
Que manque-t-il ?
Merci.

Hors ligne

#21 Le 11/03/2013, à 14:53

david96

Re : scrabble eliot

Essai avec une ancienne version : http://download-mirror.savannah.gnu.org … /releases/

Hors ligne

#22 Le 12/03/2013, à 17:34

ebulliton

Re : scrabble eliot

Merci, mais je ne connais pas la procédure à suivre à partir du site.(savannah).
Par contre, toujours avec ubuntu 12.10 / 32bits, j'ai un paquet Eliot installé et qui vient d'être automatiquement mis à jour (2.2). Ne démarre pas avec l'icône ad hoc et, lorsque je saisi eliot dans le terminal, je reçois cette réponse :
eliot: error while loading shared libraries: libconfig++.so.8: cannot open shared object file: No such file or directory
Je ne devrais pas être très loin de la solution mais je ne sais pas que faire de ce message.
Merci.

Hors ligne

#23 Le 13/03/2013, à 00:23

IpkissEliot

Re : scrabble eliot

ebulliton a écrit :

Eliot 2.0 fonctionnait jusqu'à ce jour avec UBUNTU 12.04. Il ne fonctionne plus une fois effectuée la mise à niveau UBUNTU 12.10, même après avoir répété la procédure d'installation utilisée avec UBUNTU 12.04.
Que manque-t-il ?

On dirait que le paquet n'a pas été mis à jour automatiquement avec la version compatible 12.10.
Essayez de le désinstaller complètement (sudo apt-get remove eliot libarabica) et de le réinstaller en suivant la procédure, je pense que ça devrait fonctionner.

Hors ligne

#24 Le 13/03/2013, à 18:49

ebulliton

Re : scrabble eliot

Merci,
Cela ne fonctionne pas après désinstallation/réinstallation (même message que précédemment ou icône inactif), malgré la présence du paquet dans la liste des paquets installés et dans la liste des jeux, mais je ne suis pas sûr de la procédure de (ré)installation.

Hors ligne

#25 Le 13/03/2013, à 19:32

Korak

Re : scrabble eliot

Bonjour,

Personnellement, j'utilise WordBiz.

Il fonctionne sans problèmes.


OS: Ubuntu 12.04.3 64 bits + Windows 8 64 bits en dualboot
PC portable: Processeur: AMD A4-4300M APU   Carte graphique: AMD Radeon HD 7420G   Mémoire vive: 6 Go RAM
Je suis Parrain-Linux

En ligne

Haut de page ↑